name: Gitea Actions Demo
run-name: ${{ github.actor }} is building and pushing 🚀
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4

      - name: Login to Gitea Registry
        # We use single quotes around the secret to prevent shell interpretation
        # and the VM IP to bypass the 'server' DNS issue.
        run: |
          echo '${{ secrets.ACTIONS_TOKEN }}' | docker login https://git.chopark.home --username ${{ github.actor }} --password-stdin

      - name: Build and Push Docker Image
        run: |
          docker build -t git.chopark.home:3000/${{ github.repository }}:latest .
          docker push git.chopark.home:3000/${{ github.repository }}:latest

      - name: List files in the repository
        run: ls ${{ github.workspace }}

      - run: echo "🍏 Build and Push status is ${{ job.status }}."